Page MenuHomePhabricator

Rewrite deleteByQuery in Translate [es2.x]
Closed, ResolvedPublic

Description

Delete by query has been removed in elastic 2.x, scroll + deleteIds is the suggested workaround.

Event Timeline

dcausse created this task.May 13 2016, 8:12 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 13 2016, 8:12 AM

Change 288581 had a related patch set uploaded (by DCausse):
ElasticSearchTTMServer: Rewrite deleteByQuery

https://gerrit.wikimedia.org/r/288581

Change 288581 merged by jenkins-bot:
ElasticSearchTTMServer: Rewrite deleteByQuery

https://gerrit.wikimedia.org/r/288581

Deskana triaged this task as Normal priority.May 24 2016, 9:49 PM
debt closed this task as Resolved.Jun 8 2016, 12:36 AM
debt added a subscriber: debt.

Looks like this is resolved - closing.